from django.shortcuts import render, redirect

from web.models import Article


def index_view(request):
    return render(
        request, 'index.html', context={
            'articles': Article.objects.order_by('title')
        }
    )


def article_create_view(request):
    if request.method == 'GET':
        return render(request, 'article_create.html')

    elif request.method == 'POST':
        data = request.POST
        article_data = {
            'title': data.get('title'),
            'text': data.get('text'),
            'author': data.get('author')
        }

        article = Article.objects.create(**article_data)

        return redirect('articles-detail', id=article.id)


# /articles/{id}
def article_detail_view(request, id: int):
    article = Article.objects.get(id=id)
    return render(request, 'article.html', context={'article': article})
